{% assign number_of_products = 3 %}
{% assign number_of_products_to_fetch = number_of_products | plus: 1 %}

{% if collection == null or collection.handle == 'frontpage' or collection.handle == 'all' %}
  {% assign found_a_collection = false %}
  {% for c in product.collections %}
    {% if found_a_collection == false and c.handle != 'frontpage' and c.handle != 'all' and c.all_products_count > 1 %}
      {% assign found_a_collection = true %}
      {% assign collection = c %}
    {% endif %}
  {% endfor %}
{% endif %}

{% if collection and collection.products_count > 1 %}
  <div class="related-products">
  
    {% include 'title-separator' with heading_text: 'Productos Relacionados' %}
    
    <div class="row">
      {% assign current_product = product %}
      {% assign current_product_found = false %}
      {% for product in collection.products limit: number_of_products_to_fetch %}
        {% if product.handle == current_product.handle %}
          {% assign current_product_found = true %}
        {% else %}
          {% unless current_product_found == false and forloop.last %}
            <div class="col-12 col-sm-4">
              {% include 'product-card-related', product: product %}
            </div>
          {% endunless %}
        {% endif %}
      {% endfor %}
    </div>
    
  </div>
{% endif %}
